package com.zehong.system.service.shelf;

import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;

/**
 * 货架第三方接口
 */
public interface ITShelfApiService {

    /**
     * 获取料架状态
     * @param param 请求参数
     */
    JSONObject getRackStatus(String param);

    /**
     * 料架出库入库接口
     * @param param
     * @return
     */
    void rackInOutput(String param);

    /**
     *4 获取料架所有储位信息
     * @param param 请求参数
     */
    JSONObject lookAllLocation(String param);

    /**
     * 获取储出储成功后反馈
     * @param request
     */
    JSONObject receiveFeedBackInfo(JSONObject request) throws ParseException;

}
